\documentclass[11pt]{jrsrpreport}
%\usepackage{a4wide}
\usepackage[a4paper,left=2.5cm,right=2.5cm,bottom=2cm]{geometry}
\usepackage{textcomp}
\usepackage{placeins}
\usepackage[natbib=true,citestyle=authoryear,bibstyle=authoryear,maxcitenames=1,
    maxbibnames=10,labeldateparts=true,uniquelist=minyear,urldate=long]{biblatex}
\addbibresource{sen2L2Abrdfeffects.bib}
\usepackage{tabularx}
\usepackage{url}
\usepackage{graphicx}
\usepackage[labelfont=bf, margin=10pt]{caption}
%\usepackage{draftwatermark}
%\SetWatermarkText{DRAFT}
%\SetWatermarkLightness{0.85}

\title{Assessing {BRDF} effects in the {S}entinel-2 {L}evel {2A} product in the 
    {A}ustralian landscape}
\author{Neil Flood\textsuperscript{1, 2}\\
\begin{enumerate}
  \setlength{\itemindent}{1cm} \setlength{\itemsep}{-0.4em}
\item Joint Remote Sensing Research Program, University of Queensland
\item Qld Department of Environment and Science
\end{enumerate}
}

\begin{document}
\maketitle
\begin{abstract}
In December 2018, the European Space Agency (ESA) began regular distribution of pre-calculated
Level 2A imagery for their Sentinel-2 satellite platform. Their product includes a transformation 
of the imagery to surface reflectance. This study assesses the degree to which the effects of the 
Bi-directional Reflectance Distribution Function (BRDF) are evident in the resulting
surface reflectance imagery in the Australian landscape, and what (if any) measures might be 
taken to account for them. It is concluded that BRDF-related variation can be as high as 
7--14\%, depending on the band. Correction equations are provided, allowing standardisation 
of sun and 
satellite angles, for those applications where this amount of variation could be important. 
After adjustment, the BRDF-related variation is reduced to 1--2\%. It is recommended that
this angular standardization be performed before using the reflectance values in modelling
and classification work. 
Correction using the global average parameters of \citet{Roy2017} is also tested, 
and found to be almost as effective, although that parameterization does not include 
the red edge bands.
\end{abstract}

\newpage\tableofcontents\newpage

\section{Introduction}
\label{sec:introduction}

Earth observation with optical satellite imagery aims to characterize the earth surface 
in terms of the
reflectance of each pixel. The Bi-directional Reflectance Distribution Function (BRDF)
is a measure of the extent to which the observed reflectance is affected by the angular 
configuration of the illumination (i.e. the sun) and the observing satellite sensor. 

In simple terms, the effect is caused by sub-pixel shadowing, operating at a range of scales. 
A cliff face on one side of a pixel may cast shadow on the other half, a tree branch may 
shade the grass below it, a leaf may shade another leaf, right down to individual grains
of sand and dust. The latter is discussed by \citet{Hapke1993} in the context of earlier 
work done to characterize the dust of the lunar surface, prior to the Apollo moon landings. 

If the satellite views a pixel while facing directly away from the sun, then none of 
these shadows 
are visible, and the pixel is seen to be at its brightest. If, on the other hand, the 
satellite views the pixel such that it faces towards the sun, then these shadows are
visible, and will act to reduce the brightness of the pixel. As the sun is higher or lower 
in the sky, such shadows will often be longer or shorter, again influencing the brightness 
of the pixel. Since none of these changes corresponds to a change in the physical surface, 
they can be viewed as unwanted variation in the data. 

Much work has been done to characterize and model BRDF effects in the context of satellite 
imagery, particularly in the context of the MODIS satellite, which offers
views from multiple angles at different times of day within a short 
period~\citep{MODISBRDF_ATBD,Salomon2006,Schaaf2002135}. Other work has extended these 
ideas to other sensors such as Landsat~\citep{Roy2008,Flood2013a,Li2012,Roy2016}. 
In these cases, the satellite has a sun-synchronous orbit, meaning that it always 
scans each point on the earth at roughly the same time of day, and has fixed relative orbits, 
meaning that the swathe is always in roughly the same place, and so it always views 
any given point from roughly the same angle. These qualities 
make it difficult to characterize the BRDF in the same way. 

The European Space Agency (ESA) launched the first of their Sentinel-2 satellites in 2015, and
plan to maintain a constellation of equivalent satellites for many years to 
come~\citep{Drusch2012}. This instrument is similar in spirit to Landsat, but with a smaller 
pixel size (10~m or 20~m, depending on the band), and more frequent overpasses. 
It includes bands equivalent to those present in the Landsat Thematic Mapper (TM) instrument, 
plus 4 additional bands known as the red edge bands, placed in the wavelengths 
between red and near infra-red. 

In December 2018, ESA began distributing a pre-calculated Sentinel-2 Level 2A product, 
which includes a transformation to surface reflectance. This represents an ideal 
processing level for subsequent modelling and classification of the earth surface, and 
is similar in spirit to existing surface reflectance products available for other 
instruments such as Landsat and MODIS~\citep{Schaaf2002135,Roy2008,Flood2013a,Li2012}. 

While an early copy of ESA's Algorithm Theoretical Basis Document (ATBD) for the Level
2A product~\citep{L2A_ATBD_2011} indicated that it would include corrections for BRDF 
effects, it is not clear that this was ever implemented in the final system, and it seems that 
the current Level 2A product would suffer from variation due to BRDF effects. 
\citet{Claverie2018}, in their work on a harmonized Sentinel-2 and Landsat product, have proposed
using the work of \citet{Roy2017} to correct for BRDF in the Sentinel-2 imagery. 

The present study uses empirical data analyses to characterize the BRDF effects
present in the Sentinel-2 Level 2A product, in the Australian landscape, with a view to 
modelling and removing them. A suitable dataset is created from the 
processed imagery to quantify the magnitude of BRDF variation, both in terms of 
viewing and illumination geometry. This dataset is also used to parameterize a BRDF model,
using the techniques described by \citet{Flood2013a}, so that we can adjust the imagery 
to a standard angular configuration. 

This will allow for improved image standardization
of the Level 2A product, equivalent to surface reflectance products already 
commonly used in Australia for Landsat and Sentinel-2, both through the work of the 
Joint Remote Sensing Research Program (JRSRP)~\citep{JRSRP,Flood2013a}, and similar 
independent work from Geoscience Australia~\citep{GA,Li2012}. 

\section{Methods}
\label{sec:methods}

\subsection{Data Selection}
\label{sec:methods_dataselection}

The Bi-directional Reflectance Distribution Function (BRDF) is a recognition that the 
observed reflectance
is dependent on the angular positions of both the sun and the satellite. In order to characterise 
the BRDF, we need to observe the surface from different viewing angles and different illumination
angles. In the case of the Sentinel-2 platform, the orbit is sun-synchronous, meaning that it 
always passes over at approximately the same time of day, and it has a fixed relative orbit, meaning
that it always follows roughly fixed paths, with the swathe always falling in roughly the 
same location on the earth's surface. This makes it very challenging to observe any given point 
under different angular conditions, particularly when trying to ensure that the land surface
has not changed between observations. 

To address these challenges, the following points are noted:
\begin{itemize}
    \item There is considerable overlap between adjacent swathes of observed imagery.
    \item The satellite zenith angle at each edge of the swathe is around 11\textdegree. 
    \item Adjacent swathes are viewed within 3 days, by the same satellite, or 2 days
        if the other satellite of the constellation (S2A and S2B) is acceptable. 
        This time period is short enough that one can generally assume the land surface
        has not changed in that period. 
    \item Given the fixed time of day of overpasses, the only way to see substantial 
        difference in sun position is to observe at different times of year. However, this 
        introduces the potential for on-ground change between obervations.
    \item The sun position changes most rapidly near the equinoxes. This introduces the chance 
        to maximize variation in sun position while minimizing on-ground change. 
\end{itemize}

Taking note of these points, the following strategy was adopted to collect a dataset of
pixel observations with maximal variation in angular configuration, but minimal 
on-ground change. As discussed in section~\ref{sec:data}, all data was searched and downloaded
from the Australasian Copernicus Hub's SARA database. 

\begin{enumerate}
    \item The SARA database was searched for Level 2A imagery with cloud cover $<=10$\%. 
        Restricting the cloud cover further than this resulted in some areas of Australia being
        very under-represented. 
    \item From these images, a search was made for pairs of dates for the same tile, but
        with different relative orbit numbers (i.e. different, but overlapping, swathes), 
        and acquisition times separated by no more
        than 3 days. Very small slivers of swathe edge were discarded by requiring that the
        area of each image be at least 40\% of the 100~km x 100~km tile. 
    \item From these image pairs, points were selected from a regular grid with a spacing
        of 5~km in north-south and east-west directions. 
    \item For each tile, a subset of 4 date pairs was selected, evenly spaced through the 
        record for that tile. This set of date pairs highlights the angular variation 
        due to the difference satellite view geometry. Given that the satellite view is 
        looking either to the left side of the swathe or to the right side, we can treat 
        the satellite zenith angle as a signed quantity, and the difference in this 
        signed satellite zenith between each of the paired observations is then 
        approximately 20\textdegree. 
    \item From the original set of images with cloud cover $<=10$\%, another search was made
        for pairs of dates from the same relative orbit number (i.e. the same swathe path), 
        such that the time separation 
        between dates is between 5 and 7 weeks, and the earlier date of the pair was 
        between 2 and 4 weeks prior to either the spring or autumn equinox. 
    \item This gave a set of date pairs which straddle the equinox, with the temporal 
        separation of between 5 and 7 weeks, thus giving a difference in sun zenith 
        angle of between 7 and 15\textdegree. 
    \item From these image pairs, points were selected from a regular grid with a spacing 
        of 10~km in north-south and east-west directions. 
\end{enumerate}

In the detailed implementation the above steps, care was taken to ensure that a reasonable
balance was achieved, in terms of roughly equal representation of the spring and autumn 
equinoxes, a roughly even geographical spread of points, roughly equal representation of the 
two Sentinel-2 satellites, and roughly equal numbers of
points in the swathe overlap and sun angle sets.

In selecting individual points, the Scene Classification Layer of the Level 2A product was also
used to remove points affected by cloud or shadow. Points were only included if the imagery was
non-null in all bands, and if the Scene Classification Layer had a class of either 4, 5 or 7, 
corresponding to classes VEGETATION, NON\_VEGETATED or UNCLASSIFIED. This excludes cloud, 
shadow, water and snow (\citep{l2aAlgOverview}, figure 3, "Scene Classification Values"). 

As a final extra measure to exclude undetected cloud, the ratio of the blue band of
the two observations is calculated, and the point is excluded if that ratio is greater than 2
(in either direction), implying that one of the observations is twice as reflective as the other. 
This is most likely to occur due to one of the dates being obscured by cloud or shadow, but not the
other. 

This data selection procedure gives two point datasets, one for the swathe overlap pairs, 
and one for the sun angle pairs. 

\subsection{Quantifying BRDF Effects}
To quantify the effects of BRDF on the reflectance values, we plot scatter density plots of
the reflectance values for these pairs, for each band. On each plot, we include three measures
of the relationship between the paired observations. Firstly, we use orthogonal distance 
regression (ODR) to calculate a slope of the linear relationship. This gives a rough measure 
of the ratio of the reflectances, indicating whether one is systematically higher or lower than the
other, and by how much. Secondly, we calculate the mean absolute difference (MAD) between 
reflectance values. This is a measure of how large a difference in reflectance values 
one sees due to BRDF effects. 
Thirdly, we calculate the linear correlation coefficient ($r$). This is essentially a
measure of the scatter on the scatter plots, independent of the systematic average relationships
measured by the ODR slope and the MAD. 

A perfect match in reflectance values, with no BRDF effects at all, would have ODR slope of 1.0, 
MAD of zero, and $r=1$. 

Scatter plots are given for the set of bands corresponding to the Landsat Thematic Mapper (TM) 
instrument, as these are of greatest historical interest familiarity to most readers. 
The same analyses are performed for the 4 red edge bands of the Sentinel-2 instrument, and 
show similar behaviour, but the scatter plots are omitted for the sake of brevity. 

The swath overlap pairs are plotted as one set of scatter plots, while the sun angle pairs
are plotted as a separate set. For the sun angle pairs, one extra filter is applied to the data. 
In order to show the strongest possible effect of sun angle variation, without dilution from 
less strongly affected points, we display only those points from the eastern side of the swathe,
where the satellite is observing more of the sub-pixel shadowing than for the better illuminated
points on the western side of the swathe. This filter is only applied to the sun angle pairs, and
only for the purposes of display. The complete dataset is used for modelling. 

\subsection{BRDF Modelling}
\label{sec:brdfmodelling}

One of the best studied models of BRDF is known as the Ross-Thick Li-Sparse (Reciprocal) model 
(RTLS-R), and it has been widely used for BRDF modelling with MODIS and 
Landsat imagery~\citep{Schaaf2002135,Salomon2006,MODISBRDF_ATBD,Roy2016,Flood2013a,Li2012}. 
While \citet{Roy2008} used per-pixel MODIS parameters for Landsat BRDF modelling, later work by
\citet{Flood2013b} and \citet{Roy2016} suggests that a single parameterization for use in all
locations will perform just as well. 

The RTLS-R model expresses reflectance $\rho$ as a function of the angular configuration, in terms 
of two kernel functions $K_{vol}$ and $K_{geo}$, and three parameters
$f_{iso}$, $f_{vol}$ and $f_{geo}$
\begin{eqnarray}
\label{eq:definertlsr}
\rho &=& f_{iso} + f_{vol} K_{vol}(i, e, \omega) + f_{geo} K_{geo}(i, e, \omega)
\end{eqnarray}
where $i$, $e$ and $\omega$ are the incidence (sun zenith), exitance (satellite zenith) and 
relative azimuth angles respectively. The kernel functions $K_{vol}$ and $K_{geo}$
are as given by \citet{MODISBRDF_ATBD}. 

As discussed by \citet{Flood2013a}, when used with a single set of parameters for all locations, 
we use only a ratio of such expressions, to define the effect of BRDF on reflectance, rather 
than to predict the reflectance directly. To remove any non-uniqueness, we normalise the
parameters by dividing through by $f_{iso}$, and define 
$f'_{vol} = f_{vol} / f_{iso}$ and $f'_{geo} = f_{geo} / f_{iso}$, and the ratio of BRDF effects
between two different angular configurations $A$ and $B$ as
\begin{eqnarray}
\label{eq:gammafromrtls}
\gamma(A,B) &=& \frac{1 + f'_{vol} K_{vol}(i_B, e_B, \omega_B) + f'_{geo} K_{geo}(i_B, e_B, \omega_B)}
                    {1 + f'_{vol} K_{vol}(i_A, e_A, \omega_A) + f'_{geo} K_{geo}(i_A, e_A, \omega_A)}
\end{eqnarray}

This can be used to adjust reflectance between the two sets of angles
\begin{eqnarray}
\label{eq:refa2refb}
\rho_{B} = \gamma(A,B)\rho_{A}
\end{eqnarray}

The parameters assumed to be dependent on wavelength, and are fitted separately for each 
image band. To fit the normalized parameters $f'_{vol}$ and $f'_{geo}$, we use pairs of
observations from different angular configurations, and over all such pairs, 
we calculate parameters such as to minimize
\begin{eqnarray}
\label{eq:minimize}
D &=& \sum_{\forall pixels} \left| \rho_B - \rho_{A,B} \right| \nonumber \\
  &=& \sum_{\forall pixels} \left| \rho_B - \gamma(A,B)\rho_{A} \right|
\end{eqnarray}

The swathe overlap and sun angle point datasets were combined to create a single dataset,
used to fit the BRDF parameters. 
Minimization was carried out in Python using scipy.optimize.minimize~\citep{SCIPY}. 
Fitting was carried out individually for the 6 bands corresponding to Landsat TM bands, and
also for the 4 red edge bands. 

To measure the performance of these parameters, they are used with equation~\ref{eq:refa2refb}
on each of the paired reflectances, to adjust one of the pair to estimate the reflectance
of the other. Note that we always hold one reflectance value unchanged, and adjust the 
other to match it, as a robust test of the ability of equation~\ref{eq:refa2refb} to adjust
for different angular configurations. This test is carried out on the whole dataset, which 
is also the data used to fit the parameters, but in addition, a more robust and independent
validation procecedure is described in section~\ref{sec:mccv}. 

\subsection{Monte Carlo Cross Validation}
\label{sec:mccv}

To assess the accuracy of BRDF-adjusted reflectance on independent data, we carried out 
a Monte Carlo Cross Validation procedure~\citep{Picard1984,Xu2001,Shao1993}. A series of 100  
fit/validate trials were carried out, with a random split of data into 70\% fitting
and 30\% validation. Splits were made on the basis of whole scenes, so that all points from 
a given scene are either fitting or validation, but never both, to reduce the impact of
local autocorrelation effects. For each trial, a new set of parameters is fitted, and these 
are used to adjust one reflectance of each pair to match the angles of the other. Over all
validation points in the trial, the mean absolute difference (MAD) is calculated, for both
the un-adjusted and the adjusted reflectances. Over all trials, this gives us 
a population of estimates of the mean absolute difference in reflectance between the 
paired observations, allowing us to characterize the distribution. For each band, 
we report the median value of the MAD, and the 90\% confidence interval, 
for the un-adjusted pairs, and the adjusted pairs. This allows us to quantify the improvement
seen by adjusting to the matching angular configuration. These statistics are
reported separately for the swathe overlap pairs, and for the sun angle pairs. 

\subsection{Testing Parameterization of \cite{Roy2017}}
\label{sec:royparams}
\citet{Roy2017} have suggested that their fixed set of RTLS-R parameters derived from MODIS are also
applicable to modelling BRDF for Sentinel-2. They supply parameters only for the 6 
bands which correspond to the Landsat TM instrument. To test these parameters on the
Australian datasets created here, we used them directly into equation~\ref{eq:definertlsr}, 
calculating a $\gamma$ ratio equivalent to equation~\ref{eq:gammafromrtls}. 

\section{Data}
\label{sec:data}

All Level 2A imagery was downloaded from Scihub~\citep{Scihub}, via the Australasian Copernicus 
Hub~\citep{AuscophubSARA}, using the SARA client code~\citep{AuscophubClient}. 
Searches were performed in late December 2019. The imagery dates found were in the range from 
December 2018 to December 2019. 

The version number of the ESA processing software used to produce the Level 2A product was
either 02.11, 02.12 or 02.13, depending on the imagery date. 

Selection and extraction of points was performed using custom Python code. See Appendix
for details on availability of the code. Also included in that repository are text files
listing exactly which image pairs were selected. 

The resulting points are well distributed across Australia. The spatial distributions 
of the points for each of the two datasets are shown in figure~\ref{fig:swatheoverlapmap}
and figure~\ref{fig:sunanglemap}. 

The swathe overlap dataset contains a total of 112747 points. The sun angle pairs dataset 
contains 87976 points. 

\begin{figure}[htb]
  \centering
  \includegraphics[width=0.8\textwidth]{swatheoverlapspairsmap}
  \caption{Locations of points in swathe overlap dataset. Each point is the location of 
    a pair of reflectance observations within 3 days of each other, observed from different
    relative orbits (i.e. overlapping swathes), and hence having 
    satellite zenith angles differing by approximately 20\textdegree. }
  \label{fig:swatheoverlapmap}
\end{figure}
\begin{figure}[htb]
  \centering
  \includegraphics[width=0.8\textwidth]{sunanglepairsmap}
  \caption{Locations of points in sun angle pairs dataset. Each point is the location of 
    a pair of reflectance observations within 5--7 weeks of each other, across the
    Spring or Autumn equinox, hence with sun zenith angles differeing by 7--15\textdegree.
    Note that the white lines across parts of the data area are Moir\'e patterns, and disappear
    at different zoom levels. They do not represent genuine gaps in the sampling. }
  \label{fig:sunanglemap}
\end{figure}

\section{Results}
\label{sec:results}

\subsection{Quantifying BRDF Effects}

Figure~\ref{fig:tmlike_swathe} shows the pairs of reflectance values from the swathe overlap points,
for the bands corresponding to the Landsat TM instrument. The X axis values are the 
reflectance observed on the eastern side of the swathe. The Y axis values are the reflectance for
the same point, observed on the western side of the swathe (within 3 days of the other 
observation). The solid line is the one-to-one line, and the dashed line is the ODR fit line. 
The ODR slope values all indicate that the Y axis observations are consistently higher than the
X axis observations. 

\begin{figure}[htb]
  \centering
  \includegraphics[width=0.85\textwidth]{tmlike_swatheoverlaps}
  \caption{Effect of BRDF on swathe overlap points, for bands corresponding to Landsat TM bands. 
    X axis points observed on the eastern side of the swathe, Y axis points observed on 
    western side of swathe, within 3 days. No corrections or adjustments have been performed. 
    Solid line is 1-to-1, dashed line is ODR fit. }
  \label{fig:tmlike_swathe}
\end{figure}

Figure~\ref{fig:tmlike_sunangle} shows a similar set of scatter plots for the same bands, but for
the sun angle pairs. In this case, the X axis values are observed with a lower sun elevation than
those of the Y axis. Both observations are taken from the same relative orbit, so the sun angle
is the only angular difference. The ODR slope values indicate that the observations with
the higher sun elevation are systematically brighter. 

\begin{figure}[htb]
  \centering
  \includegraphics[width=0.85\textwidth]{tmlike_sunangle}
  \caption{Effect of BRDF on sun angle difference pairs, for bands corresponding to Landsat TM bands. 
    X axis points observed with a lower sun elevation angle, Y axis observations are from a 
    higher sun elevation angle, separated by approximately 7 weeks. 
    Points displayed are only from the eastern edge of the swathe, to highlight the 
    sun angle effects. No corrections or adjustments have been performed. 
    Solid line is 1-to-1, dashed line is ODR fit. }
  \label{fig:tmlike_sunangle}
\end{figure}

\subsection{Fitted BRDF Parameters}

As outlined in section~\ref{sec:brdfmodelling}, the swathe overlap pairs and the sun 
angle pairs are combined into a single dataset for fitting of BRDF parameters. The resulting 
final set of parameters is given in table~\ref{tbl:brdfparams}. Note that these are the
normalized parameters, and so are suitable for use in equation~\ref{eq:gammafromrtls}. 

\begin{table}
\centering
\input{brdfparams.tex}
\caption{Fitted parameters for the Ross-Thick Li-Sparse BRDF model, from the full set of 
    paired reflectance observations. Normalised parameters, suitable for use in 
    equation~\ref{eq:gammafromrtls}}
\label{tbl:brdfparams}
\end{table}

\subsection{Adjusting For BRDF Effects}

Figure~\ref{fig:tmlike_swathe_brdfadj} shows the swathe overlap pairs, equivalent
to figure~\ref{fig:tmlike_swathe}, but with the Y axis values adjusted using
equation~\ref{eq:refa2refb} so that they match the angles for the X axis observations. The
resulting agreement between X and Y is an indication of how well we can use 
equation~\ref{eq:refa2refb} to remove systematic BRDF effects. 

\begin{figure}[htb]
  \centering
  \includegraphics[width=0.85\textwidth]{tmlike_swatheoverlaps_brdfadj}
  \caption{Bands corresponding to Landsat TM bands, for the swathe overlap pairs. 
    The Y axis reflectance values have been 
    adjusted for BRDF effects, so that they match the angles of the X axis values. Adjustment 
    performed using the BRDF parameters in table~\ref{tbl:brdfparams}. 
    X axis points observed on the eastern side of the swathe, Y axis points observed on 
    western side of swathe, within 3 days. Solid line is 1-to-1, dashed line is ODR fit. }
  \label{fig:tmlike_swathe_brdfadj}
\end{figure}

Figure~\ref{fig:tmlike_sunangle_brdfadj} shows a similar set of plots, but for the sun angle
pairs. The X axis values are observed with the lower sun elevation, but the Y axis values have 
been adjusted to match the angles for the X axis observations, indicating the extent to
which we are able to remove the BRDF effects of sun geometry. 

\begin{figure}[htb]
  \centering
  \includegraphics[width=0.85\textwidth]{tmlike_sunangle_brdfadj}
  \caption{Bands corresponding to Landsat TM bands, for the sun angle pairs. 
    The Y axis reflectance values have been 
    adjusted for BRDF effects, so that they match the angles of the X axis values. Adjustment 
    performed using the BRDF parameters in table~\ref{tbl:brdfparams}. 
    X axis points observed with a lower sun elevation angle, Y axis observations are from a 
    higher sun elevation angle, separated by approximately 7 weeks. 
    Points displayed are only from the eastern edge of the swathe, to highlight the 
    sun angle effects. Solid line is 1-to-1, dashed line is ODR fit. }
  \label{fig:tmlike_sunangle_brdfadj}
\end{figure}

Table~\ref{tbl:mccvstats} shows the results of the Monte Carlo Cross Validation procedure. These 
values of Mean Absolute Difference (MAD) are equivalent to those given in 
figures~\ref{fig:tmlike_swathe_brdfadj} and \ref{fig:tmlike_sunangle_brdfadj}, but they have
been calculated from a population of such values, using data independent of the
training data used to fit the BRDF model parameters. As such, they provide a robust
estimate of how well we are able to adjust reflectance values to different angular
configurations. For each column, we have the median value and the 90\% confidence interval
estimate of the MAD. In all cases, the BRDF-adjusted version is smaller than the unadjusted
value, and the confidence intervals are well separated. 

\begin{table}
\centering
\input{brdfadjust.mccv.tex}
\caption{Monte Carlo Cross Validation of the adjustment for BRDF effects. In each column,
    the main value is the median value (across Monte Carlo trials) of the reflectance 
    difference between paired observations. In square brackets is the 90\% confidence interval 
    of that difference (calculated from the population of Monte Carlo trials). Pairings are
    given for swathe overlap pairs (first two columns), and for sun angle pairs 
    (last two columns). For each set of pairs, the unadjusted differences are calculated from the
    reflectance values in the L2A product, while the adjusted values are calculated after 
    adjusting for BRDF effects, using the coefficients fitted to the training portion of the data
    for each Monte Carlo trial. The BRDF adjustment is only ever applied to the second reflectance 
    value, adjusting it to match the angles of the first. }
\label{tbl:mccvstats}
\end{table}

Figures~\ref{fig:tmlike_swathe_brdfadjRoy2017} and \ref{fig:tmlike_sunangle_brdfadjRoy2017} 
are equivalent to figures~\ref{fig:tmlike_swathe_brdfadj} and \ref{fig:tmlike_sunangle_brdfadj}, 
showing the adjustment for angular configuration on the swathe overlaps pairs and the sun 
angle pairs respectively. The only difference is that the BRDF parameters used are those supplied
by \citet{Roy2017}, which were derived from a global set of MODIS BRDF parameters. They show 
similar ability to improve the agreement between observations from different angular 
configurations. 

\begin{figure}[htb]
  \centering
  \includegraphics[width=0.85\textwidth]{tmlike_swatheoverlaps_brdfadjRoy2017}
  \caption{Bands corresponding to Landsat TM bands, for swathe overlap pairs. 
    The Y axis reflectance values have been 
    adjusted for BRDF effects, so that they match the angles of the X axis values. Adjustment 
    performed using the BRDF parameters fromm \citet{Roy2017}. 
    X axis points observed on the eastern side of the swathe, Y axis points observed on 
    western side of swathe, within 3 days. Solid line is 1-to-1, dashed line is ODR fit. }
  \label{fig:tmlike_swathe_brdfadjRoy2017}
\end{figure}

\begin{figure}[htb]
  \centering
  \includegraphics[width=0.85\textwidth]{tmlike_sunangle_brdfadjRoy2017}
  \caption{Bands corresponding to Landsat TM bands, for the sun angle pairs. 
    The Y axis reflectance values have been 
    adjusted for BRDF effects, so that they match the angles of the X axis values. Adjustment 
    performed using the BRDF parameters from \citet{Roy2017}. 
    X axis points observed with a lower sun elevation angle, Y axis observations are from a 
    higher sun elevation angle, separated by approximately 7 weeks. 
    Points displayed are only from the eastern edge of the swathe, to highlight the 
    sun angle effects. Solid line is 1-to-1, dashed line is ODR fit. }
  \label{fig:tmlike_sunangle_brdfadjRoy2017}
\end{figure}

\section{Discussion}
\label{sec:discussion}

Figures~\ref{fig:tmlike_swathe} and \ref{fig:tmlike_sunangle} show that the current 
Sentinel-2 Level 2A product from ESA does
include significant variation due to BRDF effects. The magnitude of variation is similar to that 
found by \citet{Flood2013a} for Landsat and SPOT imagery in a similar analysis of swathe
overlaps and sun angle pairs. In general, the reflectances observed under different 
angular configurations can vary by up to 7--14\%, depending on the band. 

The swathe overlap pairs present a very strong dataset for assessing BRDF effects, because 
the temporal separation between observations is very short (3 days or less), and the
difference in the key angle (satellite zenith) is around 20\textdegree. The 
sun angle pairs dataset is less strong. As discussed in section~\ref{sec:methods_dataselection},
the sun-synchronous orbit and consequent fixed time of day of acquisition means that the only
way to acquire observations under different illumination angles is to use the annual 
variation in sun position, which then increases the time between acquisitions, and thus the
opportunity for on-ground change. Such on-ground change will be a confounding effect in the 
sun angle pairs, and is probably apparent in the correlation coefficient values. The $r$ values
for the swathe overlap pairs, shown in figure~\ref{fig:tmlike_swathe}, are all in the range 
0.96--0.98, but the values for the sun angle pairs (figure \ref{fig:tmlike_sunangle}) 
are all slightly
lower, in the range 0.94--0.96. The most likely explanation for this is that the sun angle 
pairs contain more on-ground change. 

In order to guard against this confounding from on-ground change, the datasets were 
selected across a 
range of different climatic zones within Australia, at both spring and autumn equinoxes. 
The hope is that 
the on-ground change will thus be fairly random, sometimes corresponding to an increase in 
reflectance and sometimes a decrease, and so the only consistent and systematic differences 
will be those genuinely related to the sun angle and BRDF effects. This appears to be supported
by the results of adjusting for BRDF effects. The adjusted pairs are shown in 
figures~\ref{fig:tmlike_swathe_brdfadj} (swathe overlap) and 
\ref{fig:tmlike_sunangle_brdfadj} (sun angle), with the ODR slope values as a measure of the 
amount of consistent and systematic effect. In both cases, the ODR slopes have been brought very 
close to 1.0 for all bands, with the sun angle pairs performing no worse than the swathe 
overlap pairs. On the other hand, the $r$ values still show the same larger scatter in the 
sun angle pairs, since the BRDF adjustment is unable to meaningfully correct for real 
on-ground change. The validation on independent data shown in table~\ref{tbl:mccvstats} also supports
this. The improvements in mean absolute difference are less strong for the sun angle pairs
than for the swathe overlaps, due to the greater on-ground change, but in both cases the 
improvements are well beyond the 90\% confidence intervals for the un-adjusted values. 

Overall, all the measures of the BRDF effects are improved by the adjustment for angles,
using equation~\ref{eq:refa2refb} and the parameters from table~\ref{tbl:brdfparams}. The ODR 
slopes are all in the range 0.98--1.01, the MAD values are all substantially reduced, and the 
correlation coefficients are all either unchanged or slightly increased. The Monte Carlo 
Cross Validation results in table~\ref{tbl:mccvstats} suggest that these improvements are 
robust on completly independent data. 

The intended use of the BRDF model is to standardize the reflectance values to a constant 
angular configuration. The JRSRP has historically standardized to a nadir view (i.e. satellite
zenith angle of 0) and a sun zenith angle of 45\textdegree~\citep{Flood2013a}. 
With the nadir view, the relative azimuth is undefined, and can be set to any value (e.g. zero). 
Standardizing the sun angle
in this way has the great advantage that observations made in different latitudes, and
at different times of year, are thus more comparable. Other approaches have been suggested, 
such as the use of different standard sun angles for different latitudes~\citep{Claverie2018}
or even for different latitudes and times of year~\citep{Roy2016,Zhang2016,MODISBRDF_ATBD}. 
The idea is to reduce the need to model the BRDF at angles substantially different from those 
on which parameters were fitted. However, this reduces the comparability of reflectance 
values from different latitudes and different times of year, and it is not clear whether 
this trade-off is worthwhile. 

The JRSRP approach would use equation~\ref{eq:refa2refb}, with the $A$ angles being those 
at which the pixel was observed, and the $B$ angles being the standard angles (constant 
for all locations and times of year). 

Standardization of this sort has quite low computational cost (at least when 
compared to performing a full atmospheric correction), and it would be quite feasible to apply 
this standardization on-the-fly, when surface reflectance is being used as input
into some other model calculation or classification procedure. This would remove the need
to store standardized versions of all images, which, given the volume of data generated
by the Sentinel-2 satellites, can be prohibitive. 

Figures~\ref{fig:tmlike_swathe_brdfadjRoy2017} and \ref{fig:tmlike_sunangle_brdfadjRoy2017}
show equivalent tests of the same sort of angle adjustment, but using the parameters supplied
by \citet{Roy2016}. These parameters were derived originally from global MODIS datasets, but 
have been suggested for use with Sentinel-2 by \citet{Roy2016} and \citet{Claverie2018}. The 
tests shown here with the Australian datasets suggest that they perform almost as well as the
parameters fitted directly to the Australian data. In all bands except the blue band, the ODR 
slope values are either the same, or worse by only 0.01 (or 0.02 in the case of B03 on 
the swathe overlap data). For the blue band, the ODR slope values are worse with the Roy 
parameters, but because the blue reflectance values are the smallest of any band, the bias
which this indicates may not be as important. 

The mean absolute difference (MAD) values are similarly either the same or worse by at 
most 0.001, again excepting the blue band. In that case, the MAD values are still 
only worse by 0.002. These differences in MAD are all small compared to the MAD values themselves, 
sugesting that using the Roy parameters would still do an adequate job of standardizing 
reflectance for BRDF effects. Since \citet{Roy2017} do not offer any parameters for the 4 red edge
bands (due to lack of equivalent bands in MODIS), the parameters fitted here for those bands
seem to be the only available option. \citet{Claverie2018} addressed this simply by not
adjusting those bands for BRDF effects, but it would seem preferrable to use the parameters 
fitted here. 

As noted in section~\ref{sec:methods}, all the same analyses have been carried out for the 
4 red edge bands, with the equivalent scatter plots and measures of agreement. The plots have 
been omitted for the sake of brevity, but do not show any substantially different behaviour 
to the TM-like bands presented in detail here. The fitted parameters and the Monte Carlo Cross
Validation results for these extra bands are included in tables~\ref{tbl:brdfparams} 
and~\ref{tbl:mccvstats}. 

Finally, the work of both \citet{Flood2013a} and \citet{Li2012} also uses the BRDF 
standardization process to flatten the topography
for illumination effects, by using observation angles relative to the ground surface normal 
instead of the vertical, thus estimating the surface reflectance as it would be if observed on
horizontal ground. The ESA Level 2A product already includes an empirical method for doing 
this terrain flattening. We have not done any quantitative assessment of this, but visually 
it appears to perform quite adequately, and it is not expected that any futher adjustment 
should be necessary for this effect. 

\section{Conclusion}
\label{sec:conclusion}

The ESA Sentinel-2 Level 2A surface reflectance product has been analysed,
using an Australia-wide dataset, for signs of variation 
due to Bi-directional Reflectance Distribution Function (BRDF) effects. These effects
are found to contribute variation in reflectance values of between 7 and 14\%, depending
on the band in question. 

The same Australia-wide data has been used to fit parameters for the Ross-Thick Li-Sparse 
(Reciprocal) (RTLS-R) BRDF 
model (per band). Tests of these parameters show that they are able to adjust for angular
configurations, reducing systematic BRDF effects to around 1--2\%. Parameters 
have been fitted for all of the 10 bands supplied with the Level 2A product. 

While the impact of these BRDF effects will depend on the application in question, 
it is recommended that these BRDF parameters be used to standardize the surface reflectance
to a constant angular configuration before using it in modelling or classification work. This will 
remove some variation which is not related to genuine on-ground change, and which could 
otherwise add noise to model outputs. 

An equivalent global set of RTLS-R parameters, derived from MODIS data by \citet{Roy2016}, has
also been tested for use in the same way, and found to perform almost as well. 
It should be noted, however, that it does not include parameters for the 4 red edge bands. 

It is recommended that ESA's announcements on their Level 2A product be carefully 
monitored into the future. If they introduce a BRDF standardization into their product, 
then the use of our own correction locally would be incorrect, and should be re-evaluated, 
depending on exactly what sort of standardization they apply. At this time, it is not 
known whether such a thing is planned, but it would be important to know if it happened. 

\FloatBarrier
\section*{Appendix}
All source code for data selection and analysis is available in a git repository 
hosted by the Joint Remote Sensing Research Program (JRSRP), at 
\url{https://gitlab.com/jrsrp/sys/sen2l2a.git}. Included in that repository are the 
text files listing which image pairs were selected, and the curl commands to download
the Level 2A zip files from the Australian Copernicus Hub SARA server. 

A Python package to implement the BRDF standardization is available
at \url{https://gitlab.com/jrsrp/sys/sentinel2/jrsrp-sen2brdf.git}. 

\printbibliography

\end{document}
